<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dp_10"
    android:layout_marginTop="@dimen/dp_5"
    android:layout_marginRight="@dimen/dp_10"
    android:layout_marginBottom="@dimen/dp_5"
    android:background="@drawable/shape_dialog_bg"
    android:elevation="@dimen/dp_10"
    android:orientation="vertical"
    android:paddingBottom="@dimen/dp_15">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_12"
        android:paddingTop="@dimen/dp_8"
        android:paddingRight="@dimen/dp_9"
        android:paddingBottom="@dimen/dp_8">

        <com.google.android.material.checkbox.MaterialCheckBox
            android:id="@+id/iv_order_details_item_food_select"
            style="@style/TextStyle_Order_Details"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:button="@drawable/selector_checkbox"
            android:clickable="false"
            android:focusable="false"
            android:focusableInTouchMode="false"
            tools:text="巴西肥牛單個記錄是積分臨時凍結了附加上來點擊發" />

        <TextView
            android:id="@+id/tv_order_details_item_purchasing_unit"
            style="@style/TextStyle_Order_Details"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            tools:text="3KG/盒" />

        <TextView
            android:id="@+id/tv_order_details_state"
            style="@style/TextStyle_Order_Details"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_40"
            android:button="@drawable/selector_checkbox"
            android:gravity="end"
            android:textColor="@color/other_order_details_print_btn_color"
            tools:text="部分收貨" />
    </LinearLayout>

    <include layout="@layout/include_horizontal_color_eee_dividing_line" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_30"
        android:layout_marginLeft="@dimen/dp_25"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_9"
        android:orientation="horizontal">

        <RelativeLayout
            android:id="@+id/layout_order_details_unit"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/shape_border_bg_c8"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="@dimen/dp_6"
                android:text="單位"
                android:textColor="@color/color_aaa"
                android:textSize="@dimen/dp_12" />


            <ImageView
                android:id="@+id/iv_switch_unit"
                android:layout_width="@dimen/dp_10"
                android:layout_height="@dimen/dp_6"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="@dimen/dp_11"
                android:src="@drawable/ic_inverted_triangle_66" />

            <TextView
                android:id="@+id/tv_order_details_show_unit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="@dimen/dp_8"
                android:layout_toLeftOf="@id/iv_switch_unit"
                android:layout_toRightOf="@id/tv_unit"
                android:gravity="right"
                android:text="雙"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_15" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/dp_9"
            android:layout_weight="1"
            android:background="@drawable/shape_border_bg_c8"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_6"
                android:text="數量"
                android:textColor="@color/color_aaa"
                android:textSize="@dimen/dp_12" />

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/ed_food_num"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_5"
                android:background="@null"
                android:gravity="end|center_vertical"
                android:inputType="numberDecimal"
                android:maxLines="1"
                android:paddingRight="@dimen/dp_10"
                android:textColor="@color/color_3c"
                android:textColorHighlight="@color/theme_color"
                android:textCursorDrawable="@drawable/cursor_theme"
                android:textSize="@dimen/dp_15"
                android:textStyle="bold"
                tools:text="2" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/dp_9"
            android:layout_weight="1"
            android:background="@drawable/shape_border_bg_c8"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_6"
                android:text="單價"
                android:textColor="@color/color_aaa"
                android:textSize="@dimen/dp_12" />

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/ed_food_unit_price"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_5"
                android:background="@null"
                android:paddingRight="@dimen/dp_10"
                android:gravity="end|center_vertical"
                android:inputType="numberDecimal"
                android:maxLines="1"
                android:textColor="@color/color_3c"
                android:textCursorDrawable="@drawable/cursor_theme"
                android:textSize="@dimen/dp_15"
                android:textStyle="bold"
                tools:text="2" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="@dimen/dp_25"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_9"
        android:orientation="horizontal">

        <TextView
            style="@style/TextStyle_Order_Details"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:button="@drawable/selector_checkbox"
            android:text="訂單金額：" />

        <TextView
            android:id="@+id/tv_order_details_item_warehouse_total_amount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:button="@drawable/selector_checkbox"
            android:textColor="@color/required_color"
            android:textSize="@dimen/dp_14"
            android:textStyle="bold"
            tools:text="$100.00" />

        <TextView
            style="@style/TextStyle_Order_Details"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:button="@drawable/selector_checkbox"
            android:gravity="right"
            android:text="實付：" />

        <TextView
            android:id="@+id/tv_order_details_item_warehouse_actual_amount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:button="@drawable/selector_checkbox"
            android:textColor="@color/required_color"
            android:textSize="@dimen/dp_14"
            android:textStyle="bold"
            tools:text="$100.00" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="@dimen/dp_25"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_9"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:button="@drawable/selector_checkbox"
            android:text="訂單數量："
            android:textColor="@color/color_3c"
            android:textSize="@dimen/dp_12" />

        <TextView
            android:id="@+id/tv_order_details_item_warehouse_num"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:button="@drawable/selector_checkbox"
            android:textColor="@color/required_color"
            android:textSize="@dimen/dp_12"
            android:textStyle="bold"
            tools:text="2000000000000" />

        <TextView
            style="@style/TextStyle_Order_Details"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:button="@drawable/selector_checkbox"
            android:gravity="right"
            android:text="已入庫："
            android:textSize="@dimen/dp_12" />

        <TextView
            android:id="@+id/tv_order_details_item_warehouse_warehousing_num"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:button="@drawable/selector_checkbox"
            android:textColor="@color/required_color"
            android:textSize="@dimen/dp_12"
            android:textStyle="bold"
            tools:text="2000000000" />

        <TextView
            style="@style/TextStyle_Order_Details"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:button="@drawable/selector_checkbox"
            android:gravity="right"
            android:text="未入庫："
            android:textSize="@dimen/dp_12" />

        <TextView
            android:id="@+id/tv_order_details_item_warehouse_not_in_storage_num"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:button="@drawable/selector_checkbox"
            android:textColor="@color/required_color"
            android:textSize="@dimen/dp_12"
            android:textStyle="bold"
            tools:text="00000000000" />
    </LinearLayout>

</LinearLayout>